
//
// Asura_PS3_ProjectorSystem.h
//
// Created by Catalin Arsenescu 07 June 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifndef __ASURA_PS3_PROJECTORSYSTEM_H__
#define __ASURA_PS3_PROJECTORSYSTEM_H__

#include "Rendering/Asura_PS3_Graphics.h"

class Asura_Projector;
class Asura_PS3_ProjectorSystem_Handles;

class Asura_PS3_ProjectorSystem
{
	friend class Asura_Projector_System;
	friend class Asura_PS3_Graphics;

private:

	static void Initialise(void);
	static void Shutdown(void);
	static void Reset(void);
	static void RenderProjector( Asura_Projector *pxProjector );

	static void BeginFrame(void);
	static void EndFrame(void);
};
#endif	// __ASURA_PS3_PROJECTORSYSTEM_H__
